#
# spec file for package python-amqplib
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-amqplib
Version:        1.0.2
Release:        20.1
Url:            http://code.google.com/p/py-amqplib/
Summary:        Client library for AMQP (Advanced Message Queuing Protocol)
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/a/amqplib/amqplib-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Supports the 0-8 AMQP spec, and has been tested with RabbitMQ and Pythons 2.4,
2.5, and 2.6.

%prep
%setup -q -n amqplib-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README TODO docs/*.txt
%{python_sitelib}/amqplib/
%{python_sitelib}/amqplib-%{version}-py%{py_ver}.egg-info

%changelog
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
- spec improved (files section)
* Sat Mar 10 2012 saschpe@gmx.de
- Use upstream URL
- Simplify macro usage
* Wed Dec 28 2011 alexandre@exatati.com.br
- Standard on spec file;
- Bzip2 source file.
* Tue Oct 11 2011 saschpe@gmx.de
- Update to version 1.0.2:
  * Fix a packaging problem for Windows users, no changes
    to the actual Python code.
- Package more documentation
* Thu Sep 29 2011 alexandre@exatati.com.br
- Update to 1.0.1:
    A one-line change to transport.py to fix a problem older
    FreeBSDs have with socket.getaddrinfo()
    Otherwise just packaging changes to include more Trove
    classifiers and docs/tests/etc in the source distribution file.
* Wed Aug 31 2011 saschpe@suse.de
- Removed old comments
* Thu Jul 28 2011 alexandre@exatati.com.br
- Update to 1.0.0:
  - Big speedup for sending large messages;
  - PYTHON 3.x COMPATIBILITY:
    Code has been tweaked so that when 2to3 is run over the client
    library and the unittests, the unittests will pass for Python
    3.0, 3.1 and 3.2.
  - Add support for queue_unbind, since RabbitMQ supports it as an
    extension to the 0-8 protocol.
  - Add IPv6 support.
  - Some minor TCP changes, enabling keepalive, NODELAY (big speed
    improvement there), shutting down sockets before closing to keep
    from losing data (on Windows mainly?).
* Fri May 27 2011 cfarrell@novell.com
- license update: LGPL-2.1+
  Specify the version of the LGPL that the package is licensed under
* Sat Mar 26 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack;
- Bzip2 source code;
- Add CHANGES, README and TODO file as documentation;
* Tue Sep 22 2009 alexandre@exatati.com.br
- Initial package (0.6.1) for openSUSE.
